# Uses of Interface
org.apache.solr.common.util.ContentStream

Packages that use ContentStream
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.util
Utilities for Solr client applications.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of ContentStream in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return types with arguments of type ContentStream
Modifier and Type
Method
Description
`Collection<ContentStream>`
SolrRequest.`getContentStreams()`
Deprecated.
Please use `SolrRequest.getContentWriter(String)` instead.

## Uses of ContentStream in org.apache.solr.client.solrj.impl

Method parameters in org.apache.solr.client.solrj.impl with type arguments of type ContentStream
Modifier and Type
Method
Description
`protected boolean`
HttpSolrClientBase.`isMultipart(Collection<ContentStream> streams)`

## Uses of ContentStream in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as ContentStream
Modifier and Type
Field
Description
`protected ContentStream`
ConfigSetAdminRequest.Upload.`stream`
Methods in org.apache.solr.client.solrj.request that return types with arguments of type ContentStream
Modifier and Type
Method
Description
`Collection<ContentStream>`
ConfigSetAdminRequest.Upload.`getContentStreams()`
`Collection<ContentStream>`
ContentStreamUpdateRequest.`getContentStreams()`
`Collection<ContentStream>`
JavaBinRequestWriter.`getContentStreams(SolrRequest<?> req)`
`abstract Collection<ContentStream>`
RequestWriter.`getContentStreams(SolrRequest<?> req)`
Deprecated.
Use `RequestWriter.getContentWriter(SolrRequest)`.
`Collection<ContentStream>`
XMLRequestWriter.`getContentStreams(SolrRequest<?> req)`
Methods in org.apache.solr.client.solrj.request with parameters of type ContentStream
Modifier and Type
Method
Description
`void`
ContentStreamUpdateRequest.`addContentStream(ContentStream contentStream)`
Add a `ContentStream` to `ContentStreamUpdateRequest.getContentStreams()`
`final ConfigSetAdminRequest.Upload`
ConfigSetAdminRequest.Upload.`setUploadStream(ContentStream stream)`
Specify the ContentStream to upload.

## Uses of ContentStream in org.apache.solr.client.solrj.util

Methods in org.apache.solr.client.solrj.util that return types with arguments of type ContentStream
Modifier and Type
Method
Description
`static Collection<ContentStream>`
ClientUtils.`toContentStreams(String str, String contentType)`
Take a string and make it an iterable ContentStream

## Uses of ContentStream in org.apache.solr.common.util

Classes in org.apache.solr.common.util that implement ContentStream
Modifier and Type
Class
Description
`class`
`ContentStreamBase`
Three concrete implementations for ContentStream - one for File/URL/String
`static class`
`ContentStreamBase.ByteArrayStream`
Construct a `ContentStream` from a `File`
`static class`
`ContentStreamBase.FileStream`
Construct a `ContentStream` from a `File`
`static class`
`ContentStreamBase.StringStream`
Construct a `ContentStream` from a `String`
`static class`
`ContentStreamBase.URLStream`
Construct a `ContentStream` from a `URL` This uses a `URLConnection` to get the content stream
Methods in org.apache.solr.common.util that return ContentStream
Modifier and Type
Method
Description
`static ContentStream`
ContentStreamBase.`create(RequestWriter requestWriter, SolrRequest req)`
Method parameters in org.apache.solr.common.util with type arguments of type ContentStream
Modifier and Type
Method
Description
`static List<CommandOperation>`
CommandOperation.`readCommands(Iterable<ContentStream> streams, NamedList resp)`
`static List<CommandOperation>`
CommandOperation.`readCommands(Iterable<ContentStream> streams, NamedList resp, Set<String> singletonCommands)`
Read commands from request streams